<?php
/*
	Usage by dates, totals.

*/

	// Get detail given year/month

	$show_date = 'all years';
	if(isset($_REQUEST["year"])) {
		if(isset($_REQUEST["month"])) { 
			$dt = strtotime($_REQUEST["month"]."/1/".$_REQUEST["year"]);
			$show_date = date("F Y",$dt);
		} else {
			$show_date = $_REQUEST["year"];	
			$_REQUEST["month"] = 0;
		}
	} else {
		$_REQUEST["year"] = 0;
		$_REQUEST["month"] = 0;
	}
	if(isset($_REQUEST["range"])) {
		// Work out current date
		if($_REQUEST["range"]=='4w') {
			$show_date = 'past 4 weeks';
		}
	} else {
		$_REQUEST["range"] = '';
	}

	// NJS 2006-06-14: Added archive name as argument.
	$GLOBALS["db_values"] = $sql->getArchiveCountDate($GLOBALS["config_vars"]["archivename"],$_REQUEST["year"],$_REQUEST["month"],$_REQUEST["range"]);
?>
